//+------------------------------------------------------------------+
//|                                              Buy  with SL and TP |
//|                               Copyright  2008, deleted          |
//|                                                           |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, deleted"
//#property link      


//#property show_inputs

extern double Lots = 0.1;
extern bool   UseMoneyMgmt = true;
extern double RiskPercent = 1;
extern bool   UseStop = true;
extern bool   UseTakeProfit = true;
extern double StopLoss1 = 200;
extern double TakeProfit1 = 900;
extern double StopLoss2 = 200;
extern double TakeProfit2 = 600;
extern double StopLoss3 = 200;
extern double TakeProfit3 = 300;
extern string Note="0 in Entry field means Market Order Buy";
extern double Entry = 0.0000;
extern int Retries = 3;
extern int PauseBetweenRetries = 500;
string Input = " Buy Price ";



//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
  { 
  double Risk = RiskPercent / 100;
  if (UseMoneyMgmt)  
   Lots = NormalizeDouble( AccountBalance()*Risk/100/(MarketInfo(Symbol(), MODE_TICKVALUE)),2); 
  int Mode = OP_BUYSTOP;
  if (Ask > Entry && Entry > 0) Mode = OP_BUYLIMIT; 
  if (Entry == 0)  {Entry = Ask; Mode = OP_BUY;}
  double SLB1 = Entry - StopLoss1*Point, TPB1 = Entry + TakeProfit1*Point;
  double SLB2 = Entry - StopLoss2*Point, TPB2 = Entry + TakeProfit2*Point;
  double SLB3 = Entry - StopLoss3*Point, TPB3 = Entry + TakeProfit3*Point;
  if (UseStop == false) SLB1 = 0;
  if (UseTakeProfit == false) TPB1 = 0;
  if (UseStop == false) SLB2 = 0;
  if (UseTakeProfit == false) TPB2 = 0;
  if (UseStop == false) SLB3 = 0;
  if (UseTakeProfit == false) TPB3 = 0;
  if(Lots > 0)
  {
      open(Mode, Lots, Entry, SLB1 , TPB1);
      open(Mode, Lots, Entry, SLB2 , TPB2);
      open(Mode, Lots, Entry, SLB3 , TPB3);
   }      


           
   return(0);
  }
//+------------------------------------------------------------------+

void open(int mode, double lots, double entry, double slb, double tpb)
{
   for (int i=0; i<Retries;i++)
   {
      RefreshRates();
      int ticket = OrderSend(Symbol(), mode, lots, entry, 2, slb , tpb, "FPS 900", 0, NULL, LimeGreen);
         if (ticket>-1) break;
         Sleep(PauseBetweenRetries);
   }
}